<?
session_name("MeuLoginAdmin");
session_start();

if($_GET['acao'] == "logar") {
	include "brain.php";
	$senha=$_POST['senha'];
	$senhacripto=md5($senha);   
    $usuario = $_POST['usuario'];
    $q_user = mysql_query("SELECT * FROM usuarios WHERE usuario='$usuario'");

    if(mysql_num_rows($q_user) == 1) {
   
        $query = mysql_query("SELECT * FROM usuarios WHERE usuario='$usuario'");
        $dados = mysql_fetch_array($query);
        if($senhacripto == $dados['senha']) {
			$admin = mysql_query("SELECT * FROM usuarios WHERE usuario='$usuario' AND ((nivel='1') OR (nivel='2') OR (nivel='3'))");
			$dados_admin = mysql_fetch_array($admin);
		    if(mysql_num_rows($admin) == 1) {
				session_register("adminusuario");
				$_SESSION["nome_usuario"] = $dados['usuario']; 
				$_SESSION["nivel"] = $dados['nivel']; 
				$_SESSION["id_usuario"] = $dados['id']; 
				$_SESSION["usuario"] = $dados['nome']; 
				setcookie("nome_usuario", $dados['usuario'], 0, "");
				setcookie("nivel", $dados['nivel'], 0, "");
				setcookie("id_usuario", $dados['id'], 0, "");
				setcookie("usuario", $dados['nome'], 0, "");
				$hoje = date("Y-m-d");
				$hora = date("G:i:s");
				$query_ultimo_acesso = "UPDATE usuarios SET data_ultimo_acesso='$hoje', horario_ultimo_acesso='$hora' WHERE usuario='$usuario'";
				$run_ultimo_acesso = mysql_query($query_ultimo_acesso);
				$_SESSION["sessionTempo"] = time();
				header("Location: index2.php");
				exit;
			}
			else {
	           header("Location: index.php?login=falhou&causa=".urlencode('Usu&aacute;rio sem Permiss&atilde;o'));
    	       exit;
        	}
        } else {
            header("Location: index.php?login=falhou&causa=".urlencode('Senha Incorreta'));
            exit;
        }
    } else {
        header("Location: index.php?login=falhou&causa=".urlencode('Usu&aacute;rio Inv&aacute;lido'));
        exit;
    }
}

if($_GET['acao'] == "sair") {
	session_unset();
	session_destroy();
	setcookie("nome_usuario", "", time()-3600);
	setcookie("nivel", "", time()-3600);
	setcookie("id_usuario", "", time()-3600);
	setcookie("usuario", "", time()-3600);
	header("Location: ../index.php");
	exit;
}
?>